lv.lumii.layoutengine.flowLayout.horizontalOrdering

## Class LayeredNode

- java.lang.Object
- - lv.lumii.layoutengine.flowLayout.horizontalOrdering.LayeredNode

-     public class LayeredNode
      extends java.lang.Object

  This class implements a node of the auxiliary layered graph needed for the horizontal ordering in the Flow Layout algorithm.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LayeredNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addIncEdge(LayeredEdge edge)` This method adds the given edge to this node incidence list.
    `void` | `addInEdge(LayeredEdge edge)` This method adds the given edge to this node inedge list.
    `int` | `getLevelNumber()` This method returns the level number of this layered node.
    `FlowLayoutVertex` | `getOriginalVertex()` This method returns the original vertex of this layered node.
    `LayeredEdge` | `inEdge()` This method returns the first inedge of this node inedge list.
    `java.util.Iterator` | `inOutEdgeIterator()` This method returns the iterator of this node incidence list.
    `boolean` | `isDummy()` This method returns the flag indicating if this layered node is dummy.
    `void` | `setDummy(boolean isDummy)` This method sets the flag indicating if this layered node is dummy.
    `void` | `setLevelNumber(int levelNumber)` This method sets the level number of this layered node.
    `void` | `setOriginalVertex(FlowLayoutVertex vertex)` This method sets the original vertex of this layered node.
    `java.lang.String` | `toString()` This auxiliary method returns the string containing the tag of the original vertex of this node.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LayeredNode

          public LayeredNode()

  - ### Method Detail

    - #### setLevelNumber

          public void setLevelNumber(int levelNumber)

      This method sets the level number of this layered node.
      Parameters:
        `levelNumber` - the node level number.

    - #### getLevelNumber

          public int getLevelNumber()

      This method returns the level number of this layered node.
      Returns:
        the node level number.

    - #### setOriginalVertex

          public void setOriginalVertex(FlowLayoutVertex vertex)

      This method sets the original vertex of this layered node.
      Parameters:
        `vertex` - the original vertex.

    - #### getOriginalVertex

          public FlowLayoutVertex getOriginalVertex()

      This method returns the original vertex of this layered node.
      Returns:
        the original vertex.

    - #### setDummy

          public void setDummy(boolean isDummy)

      This method sets the flag indicating if this layered node is dummy.
      Parameters:
        `isDummy` - the flag value.

    - #### isDummy

          public boolean isDummy()

      This method returns the flag indicating if this layered node is dummy.
      Returns:
        the flag value.

    - #### addIncEdge

          public void addIncEdge(LayeredEdge edge)

      This method adds the given edge to this node incidence list.
      Parameters:
        `edge` - the edge to be add.

    - #### inOutEdgeIterator

          public java.util.Iterator inOutEdgeIterator()

      This method returns the iterator of this node incidence list.
      Returns:
        the iterator of the incidence list.

    - #### addInEdge

          public void addInEdge(LayeredEdge edge)

      This method adds the given edge to this node inedge list.
      Parameters:
        `edge` - the edge to be add.

    - #### inEdge

          public LayeredEdge inEdge()

      This method returns the first inedge of this node inedge list.
      Returns:
        the first inedge.

    - #### toString

          public java.lang.String toString()

      This auxiliary method returns the string containing the tag of the original vertex of this node.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string containing the tag.